summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/cvsweb/files/reconfig')
-rw-r--r--www-apps/cvsweb/files/reconfig15
1 files changed, 15 insertions, 0 deletions
diff --git a/www-apps/cvsweb/files/reconfig b/www-apps/cvsweb/files/reconfig
new file mode 100644
index 00000000000..10767108f1a
--- /dev/null
+++ b/www-apps/cvsweb/files/reconfig
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ sed "s|/usr/local/etc/cvsweb/cvsweb.conf|${VHOST_ROOT}/cvsweb.conf|g
+ s|/usr/local/etc/cvsweb|${VHOST_ROOT}|g
+ s|/css/cvsweb.css|/cvsweb.css|g
+ s|/usr/local/etc/apache/mime.types|/etc/mime.types|g" -i ${VHOST_ROOT}/cgi-bin/cvsweb.cgi ${VHOST_ROOT}/cvsweb.conf || die "sed failed"
+fi